/**
 * Simulation of process scheduling algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef PROCESSSTATS_H_
#define PROCESSSTATS_H_

/**
 * Statistics for each process during a simulation run.
 */
class ProcessStats
{
public:
    ProcessStats() : wait_time(0.0), turnaround_time(0.0) {}
    virtual ~ProcessStats() {}

    double wait_time;
    double turnaround_time;
};

#endif /* PROCESSSTATS_H_ */
